Search Collection

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/collection
API call form
Examples
List of examples
  • Get collection by ID
  • Get collection by name
  • Get collection with users and groups that can access
  • Get collection and the users and groups
  • Get collection, dashboards, datasets and EmbedFilters
Description

Get collection and the dashboards and datasets inside of it. For the datasets, get the EmbedFilters

Install
dotnet add package LuzmoSDK --version 1.0.3
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "5a36b7be-92dc-47f1-8ec2-41ea552d0e80",
      "name": {
        "en": "Demo"
      },
      "securables": [
        {
          "id": "84fa02b5-4ca6-4af3-900b-a9af7854b560",
          "name": {
            "en": "Customer insights",
            "fr": "Customer insights"
          },
          "type": "dashboard",
          "embedFilterGroups": [],
          "collectionSecurable": {
            "securable_id": "84fa02b5-4ca6-4af3-900b-a9af7854b560",
            "collection_id": "5a36b7be-92dc-47f1-8ec2-41ea552d0e80",
            "created_at": "2023-07-19T14:04:24.276Z",
            "updated_at": "2023-07-19T14:04:24.276Z"
          }
        },
        {
          "id": "64b063b0-2445-4fa0-a47e-0be605e5bc81",
          "name": {
            "en": "(new) United Widgets Sales dataset ",
            "nl": "United Widgets Verkoop dataset",
            "fr": "United Widgets Dataset ventes"
          },
          "type": "dataset",
          "embedFilterGroups": [
            {
              "id": "e0ee5b08-c97b-4586-b23e-1a12f015e735",
              "created_at": "2024-01-19T14:46:28.776Z",
              "updated_at": "2024-01-19T14:46:28.776Z",
              "organization_id": "97d67efd-3314-49cc-89d9-05a497fb5ec7",
              "user_id": "67c84b0c-b1c9-4d3a-b091-aa6236873581",
              "securableEmbedFilterGroup": {
                "filters": "[{\"expression\":\"? in ?\",\"origin\":\"global\",\"clause\":\"where\",\"column_id\":\"9e52d686-0bc9-41b8-aadb-9080e2054f94\",\"securable_id\":\"64b063b0-2445-4fa0-a47e-0be605e5bc81\",\"value\":{\"parameter\":\"metadata.customerId\",\"type\":\"array[hierarchy]\",\"value\":[\"123456\"]}}]",
                "created_": "2025-04-10T12:34:50.246Z",
                "updated_": "2025-04-10T12:34:50.246Z",
                "embed_fi": "e0ee5b08-c97b-4586-b23e-1a12f015e735",
                "securabl": "64b063b0-2445-4fa0-a47e-0be605e5bc81"
              }
            }
          ],
          "collectionSecurable": {
            "securable_id": "64b063b0-2445-4fa0-a47e-0be605e5bc81",
            "collection_id": "5a36b7be-92dc-47f1-8ec2-41ea552d0e80",
            "created_at": "2025-04-10T12:30:46.826Z",
            "updated_at": "2025-04-10T12:30:46.826Z"
          }
        }
      ]
    }
  ]
}